Subject: Set packageType when creating new package
Description

When calling packageManager->createPackage you have no way to define what package type you are creating.

By adding a fourth argument "packageType" with a default value to "typo3-flow-package" one can use createPackage to create
"Sites" and similar. The TYPO3.SiteKickstart package is lacking this feature, and sites are created in the Sites folder but in the
composer manifest it's named "typo3-flow-package".

The package type information can either be put to the MetaData ( {get|set}PackageType() )object passed around or as a argument
(mentioned above).

First patchset will be pushed later for discussion

Associated revisions
Revision bb742c5a - 2013-04-05 16:44 - Soren Malling

[FEATURE] Set packageType when creating new package

When calling packageManager->createPackage you have
no way to define what package type you are creating.

This allows for ex. SiteKickstarter to set correct
package type in composer manifest

Change-Id: Ib1c96f875a9854c3efc8f3059d26cc3d60e9aca7
Resolves: #44258
Releases: master, 2.0

Revision 0146a622 - 2013-04-05 16:51 - Soren Malling

[FEATURE] Set packageType when creating new package

When calling packageManager->createPackage you have
no way to define what package type you are creating.

This allows for ex. SiteKickstarter to set correct
package type in composer manifest

Change-Id: Ib1c96f875a9854c3efc8f3059d26cc3d60e9aca7
Resolves: #44258
Releases: master, 2.0

History
#1 - 2012-12-31 12:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17300

#2 - 2012-12-31 13:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17300

#3 - 2013-02-26 20:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17300

#4 - 2013-04-05 16:44 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17300

#5 - 2013-04-05 16:52 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19589

#6 - 2013-04-05 17:36 - Soren Malling
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0146a6228a33ed17cc60030f4d0bb44eb12c0acd.
